Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine
Interface CSSNavigableDocumentListener

All Known Implementing Classes:
  CSSEngine.CSSNavigableDocumentHandler

    public interface CSSNavigableDocumentListener

An interface for listeners of CSSNavigableDocument events. The events parallel the DOM events, but apply to the CSS view of the tree rather than the actual DOM tree.

Method Summary
`void` | `attrModified(Element e, Attr attr, short attrChange, String prevValue, String newValue)` An attribute has changed in the CSSNavigableDocument.
`void` | `characterDataModified(Node text)` Character data in the CSSNavigableDocument tree has been modified.
`void` | `nodeInserted(Node newNode)` A node has been inserted into the CSSNavigableDocument tree.
`void` | `nodeToBeRemoved(Node oldNode)` A node is about to be removed from the CSSNavigableDocument tree.
`void` | `overrideStylePropertyChanged(CSSStylableElement e, String name, String val, String prio)` A property in the override style declaration has been changed.
`void` | `overrideStylePropertyRemoved(CSSStylableElement e, String name)` A property in the override style declaration has been removed.
`void` | `overrideStyleTextChanged(CSSStylableElement e, String text)` The text of the override style declaration for this element has been modified.
`void` | `subtreeModified(Node rootOfModifications)` A subtree of the CSSNavigableDocument tree has been modified in some way.

Method Detail

### nodeInserted

    void nodeInserted(Node newNode)

  A node has been inserted into the CSSNavigableDocument tree.

### nodeToBeRemoved

    void nodeToBeRemoved(Node oldNode)

  A node is about to be removed from the CSSNavigableDocument tree.

### subtreeModified

    void subtreeModified(Node rootOfModifications)

  A subtree of the CSSNavigableDocument tree has been modified in some way.

### characterDataModified

    void characterDataModified(Node text)

  Character data in the CSSNavigableDocument tree has been modified.

### attrModified

    void attrModified(Element e,
                      Attr attr,
                      short attrChange,
                      String prevValue,
                      String newValue)

  An attribute has changed in the CSSNavigableDocument.

### overrideStyleTextChanged

    void overrideStyleTextChanged(CSSStylableElement e,
                                  String text)

  The text of the override style declaration for this element has been modified.

### overrideStylePropertyRemoved

    void overrideStylePropertyRemoved(CSSStylableElement e,
                                      String name)

  A property in the override style declaration has been removed.

### overrideStylePropertyChanged

    void overrideStylePropertyChanged(CSSStylableElement e,
                                      String name,
                                      String val,
                                      String prio)

  A property in the override style declaration has been changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.